Debian Bug report logs - #509238
debian-installer: lenny installer (daily build) locks up after net hw detection screen

Package: debian-installer; Maintainer for debian-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for debian-installer is src:debian-installer.

Reported by: The Eclectic One <eclectic@sdf.lonestar.org>

Date: Sat, 20 Dec 2008 05:33:01 UTC

Severity: important

Done: Holger Levsen <holger@layer-acht.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#509238; Package debian-installer. (Sat, 20 Dec 2008 05:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to The Eclectic One <eclectic@sdf.lonestar.org>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

lenny installer

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Sat, 20 Dec 2008 05:33:03 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: The Eclectic One <eclectic@sdf.lonestar.org>
To: submit@bugs.debian.org
Subject: debian-installer: lenny installer (daily build) locks up after net hw detection screen
Date: Sat, 20 Dec 2008 05:29:08 +0000
Package: debian-installer
Version: lenny installer
Severity: critical
Justification: breaks the whole system



-- System Information:
Debian Release: 4.0      <--- Not really.  It's the lenny installer
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

As the above system information shows, Etch works perfectly on this
system, although it was not easy to install on a blank HD when the OS
was woody.

The installation that triggered this bug was attempted by building
a bootable USB memory stick (boot.img.gz (downloaded today) +
debian-testing-i386-netinst.iso) to install lenny on a new blank HD.

Attempted work-arounds.

As can be seen for the output of lswh (done from Etch and appended
below), this laptop has lots of built-in hardware.  In addition to
the suggested temporary options (noapic, nolapic, acpi=off, irqpoll)
and hw-detect/start_pcmcia=false, I have excluded all the i/o
addresses that are likely to cause a problem: the pcmcia system,
the firewire port, the wireless adapter (ipw2100), the AC97 sound
system and the modem.

Obviously, since this is a net install, the network card (that in
Etch uses the b44 driver just fine) is mandatory.

Immediately after the "network hardware detection" is apparently
complete, the screen goes dark, the right 2 LEDs next to the power
button flash at 1 second interval and the system totally freezes.
Holding the power button for about 10 seconds is necessary to shut
down the machine.

I'd be glad to run specific tests if asked.  Any other suggestions
of work-arounds welcome.

Output of lshw follows:

dell-8600
    description: Portable Computer
    product: Inspiron 8600
    vendor: Dell Computer Corporation
    serial: xxxxxxx
    width: 32 bits
    capabilities: smbios-2.3 dmi-2.3
    configuration: boot=normal chassis=portable uuid=xxxxxxxC-xxxx-xxxx-xxxx-xxxxxxxxxxxx
  *-core
       description: Motherboard
       product: 0X1069
       vendor: Dell Computer Corporation
       physical id: 0
       serial: .xxxxxxx.xxxxxxxxxxxxxx.
     *-firmware
          description: BIOS
          vendor: Dell Computer Corporation
          physical id: 0
          version: A11 (10/25/2004)
          size: 64KB
          capacity: 448KB
          capabilities: isa pci pcmcia pnp apm upgrade shadowing cdboot bootselect int13floppy720 int5printscreen int9keyboard int14serial int17printer int10video acpi usb agp smartbattery biosbootspecification netboot
     *-cpu
          description: CPU
          product: Intel(R) Pentium(R) M processor 1400MHz
          vendor: Intel Corp.
          physical id: 400
          bus info: cpu@0
          version: 6.9.5
          slot: Microprocessor
          size: 1400MHz
          capacity: 1700MHz
          width: 32 bits
          clock: 133MHz
          capabilities: fpu fpu_exception wp vme de pse tsc msr mce cx8 sep mtrr pge mca cmov pat clflush dts acpi mmx fxsr sse sse2 tm pbe est tm2
        *-cache:0
             description: L1 cache
             physical id: 700
             size: 8KB
             capacity: 8KB
             capabilities: internal write-back data
        *-cache:1
             description: L2 cache
             physical id: 701
             size: 1MB
             capacity: 1MB
             clock: 66MHz (15.0ns)
             capabilities: pipeline-burst internal varies unified
     *-memory
          description: System Memory
          physical id: 1000
          slot: System board or motherboard
          size: 512MB
          capacity: 1GB
        *-bank:0
             description: DIMM DDR Synchronous 333 MHz (3.0 ns)
             physical id: 0
             slot: DIMM_A
             size: 256MB
             width: 64 bits
             clock: 333MHz (3.0ns)
        *-bank:1
             description: DIMM DDR Synchronous 333 MHz (3.0 ns)
             physical id: 1
             slot: DIMM_B
             size: 256MB
             width: 64 bits
             clock: 333MHz (3.0ns)
     *-pci
          description: Host bridge
          product: 82855PM Processor to I/O Controller
          vendor: Intel Corporation
          physical id: e8000000
          bus info: pci@00:00.0
          version: 03
          width: 32 bits
          clock: 33MHz
          resources: iomemory:e8000000-efffffff
        *-pci:0
             description: PCI bridge
             product: 82855PM Processor to AGP Controller
             vendor: Intel Corporation
             physical id: 1
             bus info: pci@00:01.0
             version: 03
             width: 32 bits
             clock: 66MHz
             capabilities: pci normal_decode bus_master
           *-display
                description: VGA compatible controller
                product: NV28 [GeForce4 Ti 4200 Go AGP 8x]
                vendor: nVidia Corporation
                physical id: 0
                bus info: pci@01:00.0
                version: a1
                size: 64MB
                width: 32 bits
                clock: 66MHz
                capabilities: vga bus_master vga_palette cap_list
                configuration: driver=nvidia latency=248 maxlatency=1 mingnt=5
                resources: iomemory:fc000000-fcffffff iomemory:f0000000-f3ffffff irq:11
        *-usb:0
             description: USB Controller
             product: 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1
             vendor: Intel Corporation
             physical id: 1d
             bus info: pci@00:1d.0
             version: 01
             width: 32 bits
             clock: 33MHz
             capabilities: uhci bus_master
             configuration: driver=uhci_hcd latency=0
             resources: ioport:bf80-bf9f irq:11
        *-usb:1
             description: USB Controller
             product: 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2
             vendor: Intel Corporation
             physical id: 1d.1
             bus info: pci@00:1d.1
             version: 01
             width: 32 bits
             clock: 33MHz
             capabilities: uhci bus_master
             configuration: driver=uhci_hcd latency=0
             resources: ioport:bf40-bf5f irq:11
        *-usb:2
             description: USB Controller
             product: 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3
             vendor: Intel Corporation
             physical id: 1d.2
             bus info: pci@00:1d.2
             version: 01
             width: 32 bits
             clock: 33MHz
             capabilities: uhci bus_master
             configuration: driver=uhci_hcd latency=0
             resources: ioport:bf20-bf3f irq:11
        *-usb:3
             description: USB Controller
             product: 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller
             vendor: Intel Corporation
             physical id: 1d.7
             bus info: pci@00:1d.7
             version: 01
             width: 32 bits
             clock: 33MHz
             capabilities: ehci bus_master cap_list
             configuration: driver=ehci_hcd latency=0
             resources: iomemory:f4fffc00-f4ffffff irq:11
        *-pci:1
             description: PCI bridge
             product: 82801 Mobile PCI Bridge
             vendor: Intel Corporation
             physical id: 1e
             bus info: pci@00:1e.0
             version: 81
             width: 32 bits
             clock: 33MHz
             capabilities: pci normal_decode bus_master
           *-network:0
                description: Ethernet interface
                product: BCM4401 100Base-T
                vendor: Broadcom Corporation
                physical id: 0
                bus info: pci@02:00.0
                logical name: eth0
                version: 01
                serial: xx:xx:xx:xx:xx:xx
                size: 100MB/s
                capacity: 100MB/s
                width: 32 bits
                clock: 33MHz
                capabilities: bus_master cap_list ethernet physical mii 10bt 10bt-fd 100bt 100bt-fd autonegotiation
                configuration: autonegotiation=on broadcast=yes driver=b44 driverversion=1.01 duplex=full ip=192.168.200.7 latency=32 link=yes multicast=yes port=twisted pair speed=100MB/s
                resources: iomemory:faffe000-faffffff irq:11
           *-pcmcia
                description: CardBus bridge
                product: PCI4510 PC card Cardbus Controller
                vendor: Texas Instruments
                physical id: 1
                bus info: pci@02:01.0
                version: 02
                width: 32 bits
                clock: 33MHz
                capabilities: pcmcia bus_master cap_list
                configuration: driver=yenta_cardbus latency=176 maxlatency=5 mingnt=192
                resources: iomemory:f8000000-f8000fff irq:11
           *-firewire
                description: FireWire (IEEE 1394)
                product: PCI4510 IEEE-1394 Controller
                vendor: Texas Instruments
                physical id: 1.1
                bus info: pci@02:01.1
                version: 00
                width: 32 bits
                clock: 33MHz
                capabilities: ohci bus_master cap_list
                configuration: driver=ohci1394 latency=32 maxlatency=4 mingnt=2
                resources: iomemory:faffd800-faffdfff iomemory:faff8000-faffbfff irq:11
           *-network:1 UNCLAIMED
                description: Network controller
                product: PRO/Wireless LAN 2100 3B Mini PCI Adapter
                vendor: Intel Corporation
                physical id: 3
                bus info: pci@02:03.0
                version: 04
                width: 32 bits
                clock: 33MHz
                capabilities: cap_list
                configuration: latency=32 maxlatency=34 mingnt=2
                resources: iomemory:faffc000-faffcfff irq:5
        *-isa
             description: ISA bridge
             product: 82801DBM (ICH4-M) LPC Interface Bridge
             vendor: Intel Corporation
             physical id: 1f
             bus info: pci@00:1f.0
             version: 01
             width: 32 bits
             clock: 33MHz
             capabilities: isa bus_master
             configuration: latency=0
        *-ide
             description: IDE interface
             product: 82801DBM (ICH4-M) IDE Controller
             vendor: Intel Corporation
             physical id: 1f.1
             bus info: pci@00:1f.1
             version: 01
             width: 32 bits
             clock: 33MHz
             capabilities: ide bus_master
             configuration: driver=PIIX_IDE latency=0
             resources: ioport:bfa0-bfaf iomemory:32000000-320003ff irq:11
           *-ide:0
                description: IDE Channel 0
                physical id: 0
                bus info: ide@0
                logical name: ide0
                clock: 33MHz
              *-disk
                   description: ATA Disk
                   product: HTS548080M9AT00
                   vendor: Hitachi
                   physical id: 0
                   bus info: ide@0.0
                   logical name: /dev/hda
                   version: MG4OA53A
                   serial: MRL495L4J1UX5B
                   size: 74GB
                   capacity: 74GB
                   capabilities: ata dma lba iordy smart security pm apm partitioned partitioned:dos
                   configuration: apm=off mode=udma5 smart=on
                 *-volume:0
                      [partitioning info deleted -  not relevant]
           *-ide:1
                description: IDE Channel 1
                physical id: 1
                bus info: ide@1
                logical name: ide1
                clock: 33MHz
              *-cdrom
                   description: DVD reader
                   product: PHILIPS DVD+RW SDVD6004
                   vendor: Philips
                   physical id: 0
                   bus info: ide@1.0
                   logical name: /dev/hdc
                   version: 1.03
                   capabilities: packet atapi cdrom removable nonmagnetic dma lba iordy pm audio cd-r cd-rw dvd
                   configuration: mode=udma2
                 *-disc
                      physical id: 0
                      logical name: /dev/hdc
        *-multimedia
             description: Multimedia audio controller
             product: 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller
             vendor: Intel Corporation
             physical id: 1f.5
             bus info: pci@00:1f.5
             version: 01
             width: 32 bits
             clock: 33MHz
             capabilities: bus_master cap_list
             configuration: driver=Intel ICH latency=0
             resources: ioport:b800-b8ff ioport:bc40-bc7f iomemory:f4fff800-f4fff9ff iomemory:f4fff400-f4fff4ff irq:5
        *-communication
             description: Modem
             product: 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Modem Controller
             vendor: Intel Corporation
             physical id: 1f.6
             bus info: pci@00:1f.6
             version: 01
             width: 32 bits
             clock: 33MHz
             capabilities: generic bus_master cap_list
             configuration: driver=slamr latency=0
             resources: ioport:b400-b4ff ioport:b080-b0ff irq:5
  *-network DISABLED
       description: IEEE1394 interface
       physical id: 1
       logical name: eth2
       serial: xx:xx:xx:xx:xx:xx
       capabilities: ieee1394 physical
       configuration: broadcast=yes driver=eth1394 multicast=yes




Severity set to `important' from `critical' Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Sat, 20 Dec 2008 06:18:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#509238; Package debian-installer. (Sat, 20 Dec 2008 06:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to 509238@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 20 Dec 2008 06:36:02 GMT) Full text and rfc822 format available.

Message #12 received at 509238@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: The Eclectic One <eclectic@sdf.lonestar.org>, 509238@bugs.debian.org
Subject: Re: Bug#509238: debian-installer: lenny installer (daily build) locks up after net hw detection screen
Date: Sat, 20 Dec 2008 07:34:06 +0100
[Message part 1 (text/plain, inline)]
Quoting The Eclectic One (eclectic@sdf.lonestar.org):

> The installation that triggered this bug was attempted by building
> a bootable USB memory stick (boot.img.gz (downloaded today) +
> debian-testing-i386-netinst.iso) to install lenny on a new blank HD.
> 
> Attempted work-arounds.
> 
> As can be seen for the output of lswh (done from Etch and appended
> below), this laptop has lots of built-in hardware.  In addition to
> the suggested temporary options (noapic, nolapic, acpi=off, irqpoll)
> and hw-detect/start_pcmcia=false, I have excluded all the i/o
> addresses that are likely to cause a problem: the pcmcia system,
> the firewire port, the wireless adapter (ipw2100), the AC97 sound
> system and the modem.
> 
> Obviously, since this is a net install, the network card (that in
> Etch uses the b44 driver just fine) is mandatory.
> 
> Immediately after the "network hardware detection" is apparently
> complete, the screen goes dark, the right 2 LEDs next to the power
> button flash at 1 second interval and the system totally freezes.
> Holding the power button for about 10 seconds is necessary to shut
> down the machine.
> 
> I'd be glad to run specific tests if asked.  Any other suggestions
> of work-arounds welcome.


First of all, it would be nice if you could precise what exact version you
tested.

The version we would like to see tested at this moment is:

- RC1, which you can download from:
hd-media image :
http://ftp.nl.debian.org/debian/dists/testing/main/installer-i386/current/images/hd-media/
netinst ISO:
http://cdimage.debian.org/cdimage/lenny_di_rc1/i386/iso-cd/debian-testing-i386-netinst.iso

- Daily builds:
hd-media: http://people.debian.org/~joeyh/d-i/images/daily/hd-media/
netinst ISO:
http://cdimage.debian.org/cdimage/daily-builds/daily/arch-latest/i386/iso-cd/debian-testing-i386-netinst.iso

Then we could probably narrow the problem by using the expert
mode....which will interrupt some steps more often and make the exact
moment the problem happens more easy to spot.

Also, when you've spotted the moment where the installer hangs, please
retry the installation and, just before the hang happens, try
switching to console 4 (Alt+F4) and look at what's displayed there...


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#509238; Package debian-installer. (Sat, 20 Dec 2008 22:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to The Eclectic One <eclectic@sdf.lonestar.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 20 Dec 2008 22:57:03 GMT) Full text and rfc822 format available.

Message #17 received at 509238@bugs.debian.org (full text, mbox):

From: The Eclectic One <eclectic@sdf.lonestar.org>
To: 509238@bugs.debian.org
Subject: panic backtrace
Date: Sat, 20 Dec 2008 22:54:48 +0000

>First of all, it would be nice if you could precise what exact version you
>tested.

I tried both the rc1 debian-testing-i386-netinst.iso and the daily
build as of a few days ago.  Same result.

>The version we would like to see tested at this moment is:

>- RC1, which you can download from:
>hd-media image=A0:
>http://ftp.nl.debian.org/debian/dists/testing/main/installer-i386/current/i=
>mages/hd-media/
>netinst ISO:
>http://cdimage.debian.org/cdimage/lenny_di_rc1/i386/iso-cd/debian-testing-i=
>386-netinst.iso

>- Daily builds:
>hd-media: http://people.debian.org/~joeyh/d-i/images/daily/hd-media/
>netinst ISO:
>http://cdimage.debian.org/cdimage/daily-builds/daily/arch-latest/i386/iso-c=
>d/debian-testing-i386-netinst.iso

Ok, I downloaded these 4 again.  It turns out that the daily build iso
was the exact same I had tried last.  The boot.imb.gz was different so
I re-made the usb stick "disk" with the one in the daily build link
above and the daily build iso.  So the backtrace below applies to the
daily builds above.

>Then we could probably narrow the problem by using the expert
>mode....which will interrupt some steps more often and make the exact
>moment the problem happens more easy to spot.

Actually, I was able to capture the problem in non-expert mode.
I figure the least amount of changes made in the flow of execution
of the program, the easier it would be to duplicate the problem.
I chose the defaults in the language selection, locale, etc...

>Also, when you've spotted the moment where the installer hangs, please
>retry the installation and, just before the hang happens, try
>switching to console 4 (Alt+F4) and look at what's displayed there...

Ok, it happens immediately after the identifying network hardware
screen.  So soon after in fact that I thought I would have no time to
swtich to console 4, but quick fingers did it and quite a bit scrolled
off the screen, ending in this:


[   23.523397] EAX: ffffffff EBX: df6f0000 ECX: ffffffff EDX: df413440
[   23.523397] ESI: df6f0000 EDI: 00000000 EBP: ffffffff ESP: df449f84
[   23.523397]  DS: 007b ES: 007b FS: 0000 GS: 0000 SS: 0068
[   23.523397] Process events/0 (pid: 5, ti=df448000 task=df43e860 task.ti=df448000)
[   23.523397] Stack: c025d42d df6f0000 00000002 c025830e df413440 c0356f00 c025833e 00000000
[   23.523397]        c025835b c012716d df413440 c01276e9 df413448 c0127794 00000000 df43e860
[   23.523397]        c012990b df449fc8 df449fc8 df413440 00000000 c0129763 c012972d 00000000
[   23.523397] Call Trace:
[   23.523397]  [<c025d42d>] dev_deactivate+0x1e/0xbd
[   23.523397]  [<c025830e>] __linkwatch_run_queue+0x118/0x148
[   23.523397]  [<c025833e>] linkwatch_event+0x0/0x22
[   23.523397]  [<c025835b>] linkwatch_event+0x1d/0x22
[   23.523397]  [<c012716d>] run_workqueue+0x75/0xee
[   23.523397]  [<c01276e9>] worker_thread+0x0/0xb5
[   23.523397]  [<c0127794>] worker_thread+0xab/0xb5
[   23.523397]  [<c012990b>] autoremove_wake_function=0x0/0x2d
[   23.523397]  [<c0129763>] kthread+0x36/0x5b
[   23.523397]  [<c012972d>] kthread+0x0/0x5b
[   23.523397]  [<c0104937>] kernel_thread_helper+0x7/0x10
[   23.523397]  =======================
[   23.523397] Code: ff 42 50 5b c3 89 c1 8d 90 80 00 00 00 89 12 8d 81 a4 00 00 00 89 52 04 c7 42 08 00 00 00 00 83 c2 0c 39 c2 75 e7 31 c0 c3 89 c1 <8b> 40 10 8b 50 30 85 d2 74 04 89 c8 ff d2 c3 53 89 c3 e8 a8 af
[   23.523397] EIP: [<c025d074>] qdisc_reset+0x2/0x11 SS:ESP 0068:df449f84
[   23.915430] Kernel panic - not syncing: Fatall exception in interrupt

Of course, the machine is now totally frozen, so no scrolling back.

Any other tests? Let me know.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#509238; Package debian-installer. (Sun, 21 Dec 2008 07:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 21 Dec 2008 07:30:02 GMT) Full text and rfc822 format available.

Message #22 received at 509238@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: The Eclectic One <eclectic@sdf.lonestar.org>, 509238@bugs.debian.org
Subject: Re: Bug#509238: panic backtrace
Date: Sun, 21 Dec 2008 08:26:59 +0100
[Message part 1 (text/plain, inline)]
Quoting The Eclectic One (eclectic@sdf.lonestar.org):

> >First of all, it would be nice if you could precise what exact version you
> >tested.
> 
> I tried both the rc1 debian-testing-i386-netinst.iso and the daily
> build as of a few days ago.  Same result.

OK. Are you in the position of testing with something else than a USB
stick boot ?

The best would be using the "netboot" ISO (called mini.iso) from a CD.


> Ok, I downloaded these 4 again.  It turns out that the daily build iso
> was the exact same I had tried last.  The boot.imb.gz was different so

Yes, daily builds have not been rebuilt since Dec 18th. Though this is
not the source of your problems, we might prefer really testing with
the version we will release.

> Actually, I was able to capture the problem in non-expert mode.
> I figure the least amount of changes made in the flow of execution
> of the program, the easier it would be to duplicate the problem.

There are no changes in the flow of execution, but more places where
the process is stopped, which might help narrowing things down.

> Ok, it happens immediately after the identifying network hardware
> screen.  So soon after in fact that I thought I would have no time to

"after identifying network HW" means 'after the system displays a
progress bar saying "Identifying network hardware", right?

This is where we would need to really narrow things down and where
using the expert mode could help.

> [   23.523397] EAX: ffffffff EBX: df6f0000 ECX: ffffffff EDX: df413440
> [   23.523397] ESI: df6f0000 EDI: 00000000 EBP: ffffffff ESP: df449f84
> [   23.523397]  DS: 007b ES: 007b FS: 0000 GS: 0000 SS: 0068
> [   23.523397] Process events/0 (pid: 5, ti=df448000 task=df43e860 task.ti=df448000)
> [   23.523397] Stack: c025d42d df6f0000 00000002 c025830e df413440 c0356f00 c025833e 00000000
> [   23.523397]        c025835b c012716d df413440 c01276e9 df413448 c0127794 00000000 df43e860
> [   23.523397]        c012990b df449fc8 df449fc8 df413440 00000000 c0129763 c012972d 00000000
> [   23.523397] Call Trace:
> [   23.523397]  [<c025d42d>] dev_deactivate+0x1e/0xbd
> [   23.523397]  [<c025830e>] __linkwatch_run_queue+0x118/0x148
> [   23.523397]  [<c025833e>] linkwatch_event+0x0/0x22
> [   23.523397]  [<c025835b>] linkwatch_event+0x1d/0x22
> [   23.523397]  [<c012716d>] run_workqueue+0x75/0xee
> [   23.523397]  [<c01276e9>] worker_thread+0x0/0xb5
> [   23.523397]  [<c0127794>] worker_thread+0xab/0xb5
> [   23.523397]  [<c012990b>] autoremove_wake_function=0x0/0x2d
> [   23.523397]  [<c0129763>] kthread+0x36/0x5b
> [   23.523397]  [<c012972d>] kthread+0x0/0x5b
> [   23.523397]  [<c0104937>] kernel_thread_helper+0x7/0x10
> [   23.523397]  =======================
> [   23.523397] Code: ff 42 50 5b c3 89 c1 8d 90 80 00 00 00 89 12 8d 81 a4 00 00 00 89 52 04 c7 42 08 00 00 00 00 83 c2 0c 39 c2 75 e7 31 c0 c3 89 c1 <8b> 40 10 8b 50 30 85 d2 74 04 89 c8 ff d2 c3 53 89 c3 e8 a8 af
> [   23.523397] EIP: [<c025d074>] qdisc_reset+0x2/0x11 SS:ESP 0068:df449f84
> [   23.915430] Kernel panic - not syncing: Fatall exception in interrupt

OK. Thanks for the help trying to narrow things. Being an obvious
problem with the kernel, we really need to triple check that it
happens or not with the last  kernel package from unstable (which is
likely, but still...)

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#509238; Package debian-installer. (Sun, 21 Dec 2008 23:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to The Eclectic One <eclectic@sdf.lonestar.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 21 Dec 2008 23:51:02 GMT) Full text and rfc822 format available.

Message #27 received at 509238@bugs.debian.org (full text, mbox):

From: The Eclectic One <eclectic@sdf.lonestar.org>
To: 509238@bugs.debian.org
Subject: Re: Bug#509238: panic backtrace
Date: Sun, 21 Dec 2008 23:49:35 +0000

Quoting Christian Perrier <bubulle@debian.org>
>OK. Are you in the position of testing with something else than a USB
>stick boot?

Actually, before I gave up on CDs (ruined 11 CD-Rs, probably marginal
media, drive or wodim problems) I had a CD made on a windows machine
of the lenny installer RC1.  This is what I just tried again.

I get the same panic at the same point in the installation process.
Of course the addresses are slightly different as the underlying
kernel code is different.

>The best would be using the "netboot" ISO (called mini.iso) from a CD.

> ...
>> Ok, it happens immediately after the identifying network hardware
>> screen.  So soon after in fact that I thought I would have no time to

>"after identifying network HW" means 'after the system displays a
>progress bar saying "Identifying network hardware", right?

Correct.

>This is where we would need to really narrow things down and where
>using the expert mode could help.

Ok, tried a few more times.  I usually get the same kernel panic screen,
but on one occasion (in expert mode), it crashed a little differently
and I saw this:


Dec 21 17:21:46 kernel: [  173.096981] ipw2100: Intel(R) PRO/Wireless 2100 Network Driver, git-1.2.2
Dec 21 17:21:46 kernel: [  173.096987] ipw2100:
Dec 21 17:21:46 kernel: [  173.096987] ipw2100: Copyright(c) 2003-2006 Intel Corpration
Dec 21 17:21:46 kernel: [  173.206202] ACPI: PCI Interrupt 0000:02:03:0[A] -> Link [LKNB] -> GSI 5 (level, low) -> IRQ 5
Dec 21 17:21:46 kernel: [  173.206206] ipw2100: Detected Intel PRO/WIreless 2100 Network Connection
Dec 21 17:21:46 kernel: [  173.206619] firmware: requesting ipw2100-1.3.fw
Dec 21 17:21:46 net/hw-detect.hotplug: Detected hotpluggable network interface eth0
Dec 21 17:21:46 kernel: [  173.349107] ipw2100: eth1: Firmware 'ipw2100-1.3.fw' not available or load failed.
Dec 21 17:21:46 kernel: [  173.349114] ipw2100: eth1: ipw2100_get_firmware failed: -2
Dec 21 17:21:46 kernel: [  173.349118] ipw2100: eth1: Failed to power on the adapter.
Dec 21 17:21:46 kernel: [  173.349121] ipw2100: eth1: Failed to start the firmware.
Dec 21 17:21:46 kernel: [  173.349125] ipw2100Error calling register_netdev.
Dec 21 17:21:46 kernel: [  173.349443] ACPI: PCI interrupt for device 0000:02:03.0 disabled
Dec 21 17:21:46 kernel: [  173.349450] ipw2100: probe of 0000:02:03.0 failed with error -5
Dec 21 17:21:46 hw-detect: insmod /lib/modules/2.6.26-1-486/kernel/drivers ieee1394/sbp2.ko
Dec 21 17:21:46 kernel: [  173.480359] eth1394: eth1: IPv4 over IEEE 1394 (fw-host0)
Dec 21 17:21:46 net/hw-detect.hotplug: Detected hotpluggable network interface e


This is exactly as the screen froze.  I wonder if the only line visible that
refers to eth0 is when it actually detected the main (wired) ethernet
interface.  As this is the interface I want to use and it appears that it
generated no errors, it seems to be a good sign.  All the ipw2100 lines
refer to the wireless interface, which works fine on 2.6.18.  I never knew
it required separate firmware.  Since it appears not to be included in the
installer, I presume I'd have to find it in the additional drivers media.
In any case, the errors notwithstanding, it looks like the installer handled
the wireless interface correctly.  Am I right that it seems it's the
eth1394 driver that is causing the crash?

I've tried (based on the help example: hw-detect/start_pcmcia=false) to add
hw-detect/start_eth1394=false but it doesn't seem to have an effect.  It
still crashes.  BTW, the eth1394 driver is loaded without errors under
2.6.18, although it is not used.  I have no fire-wire devices to test it.
Early on, I passed the option to protect the firewire interface addresses
(faffd800 - faffdfff) but it still crashed.

I suppose it would help if I could get more lines in the console screens.
What option can I pass the installer to have smaller type, or even better
2 side by side pages?  I have a WUXGA (1920 X 1200) screen so it should be
possible to see a much longer backtrace.

>...

>OK. Thanks for the help trying to narrow things. Being an obvious
>problem with the kernel, we really need to triple check that it
>happens or not with the last  kernel package from unstable (which is
>likely, but still...)

If you point me to a boot.img.gz of the latest kernel, that I can
zcat to the usb memory stick, I'd be happy to test it.

Anything else I can do? More tests?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#509238; Package debian-installer. (Mon, 22 Dec 2008 07:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 22 Dec 2008 07:18:02 GMT) Full text and rfc822 format available.

Message #32 received at 509238@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: The Eclectic One <eclectic@sdf.lonestar.org>, 509238@bugs.debian.org
Subject: Re: Bug#509238: panic backtrace
Date: Mon, 22 Dec 2008 07:17:28 +0100
[Message part 1 (text/plain, inline)]
Quoting The Eclectic One (eclectic@sdf.lonestar.org):

> >This is where we would need to really narrow things down and where
> >using the expert mode could help.
> 
> Ok, tried a few more times.  I usually get the same kernel panic screen,

Did you try in expert mode, ie choosing it from the "Advanced options"
in the boot menu.

In expert mode, when you reach the HW detection step, you'll get a
question about PCMCIA options. They're not necessarily relevant but
checking if the crash happens before or after it would help



> This is exactly as the screen froze.  I wonder if the only line visible that
> refers to eth0 is when it actually detected the main (wired) ethernet
> interface.  As this is the interface I want to use and it appears that it
> generated no errors, it seems to be a good sign.  All the ipw2100 lines
> refer to the wireless interface, which works fine on 2.6.18.  I never knew
> it required separate firmware.  Since it appears not to be included in the

Some drivers in 2.6.18 provided firmware blobs that have been
extracted from the source and are now provided as separate udebs:

root@mykerinos:~> apt-cache search firmware 2100
firmware-ipw2x00 - Binary firmware for Intel Pro Wireless 2100, 2200 and 2915

If that firmware is needed for ipw2100, you'll be prompted about
this....but you're not, which means the crash happens before..:-)


> Anything else I can do? More tests?


Before the network devices screen (for instance, when prompted for
language), could you switch to VT2 (Alt+F2) and, from there edit
/bin/ethdetect.sh ?

Add "-x" to the first line:

#!/bin/sh -x


Then go back to VT1, continue to the step where the crash happens and
sitch to VT4 before it happens. As ethdetect.sh will be in debug mode,
we'll see all its output and could narrow down the exact line where
the crash happens.

(doing this in expert mode will give you more control about the moment
where you need to switch to VT4....)

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#509238; Package debian-installer. (Tue, 23 Dec 2008 02:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to The Eclectic One <eclectic@sdf.lonestar.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 23 Dec 2008 02:09:02 GMT) Full text and rfc822 format available.

Message #37 received at 509238@bugs.debian.org (full text, mbox):

From: The Eclectic One <eclectic@sdf.lonestar.org>
To: 509238@bugs.debian.org
Subject: Re: Bug#509238: panic backtrace
Date: Tue, 23 Dec 2008 02:06:57 +0000
Quoting Christian Perrier <bubulle@debian.org>

>> Ok, tried a few more times.  I usually get the same kernel panic screen,

>Did you try in expert mode, ie choosing it from the "Advanced options"
>in the boot menu.

Yes, I tried expert as well as regular.

>In expert mode, when you reach the HW detection step, you'll get a
>question about PCMCIA options. They're not necessarily relevant but
>checking if the crash happens before or after it would help

No question about PCMCIA before getting to the network detection
screen/status bar.

> ...

>Some drivers in 2.6.18 provided firmware blobs that have been
>extracted from the source and are now provided as separate udebs:

>root@mykerinos:~> apt-cache search firmware 2100
>firmware-ipw2x00 - Binary firmware for Intel Pro Wireless 2100, 2200 and 2915

That explains the missing firmware.

>If that firmware is needed for ipw2100, you'll be prompted about
>this....but you're not, which means the crash happens before..:-)

Correct.

>> Anything else I can do? More tests?

>Before the network devices screen (for instance, when prompted for
>language), could you switch to VT2 (Alt+F2) and, from there edit
>/bin/ethdetect.sh

>Add "-x" to the first line:

>#!/bin/sh -x

>Then go back to VT1, continue to the step where the crash happens and
>sitch to VT4 before it happens. As ethdetect.sh will be in debug mode,
>we'll see all its output and could narrow down the exact line where
>the crash happens.

Ok, did that and also vga=771.  I was hoping to get a smaller font to
see more of the backtrace.  This is what I got:


[ output of ethdetect -x - lsifaces (3 lines) sed (4), grep (4) and sed (3) ]
Dec 22 15:42:48 main-menu[1328]: (process:9628) + ip link set eth0 up
Dec 22 15:42:48 main-menu[1328]: (process:9628) + ip link set eth0 down
Dec 22 15:42:48 main-menu[1328]: (process:9628) + ip link set eth1 up
Dec 22 15:42:48 main-menu[1328]: (process:9628) + ip link set eth1 down
Dec 22 15:42:48 main-menu[1328]: (process:9628) + check-missing-firmware
Dec 22 15:42:48 main-menu[1328]: (process:9628) + sysfs-update-devnames
Dec 22 15:42:48 main-menu[1328]: (process:9628) + cleanup
Dec 22 15:42:48 main-menu[1328]: (process:9628) + rm -f /tmp/devnames-static.txt
Dec 22 15:42:48 main-menu[1328]: DEBUG: resolver (libslang2-udeb): package doesn't exist (ignored)

It didn't crash!  After that I proceeded to console 1 and did see the
screen explaining that I needed the missing firmware - ipw2100-1.3.fw.
As I had thought, even with the missing firmware, the culprit wasn't
the wireless device.

First thought: race condition (the panic message contained a backtrace
of different threads), so then I tried multiple times with only one
change at at time: expert mode, regular mode, ethdetect -x, vga=771,
vga normal.  It turns out that the culprit was the vga option.  With
vga=771, I get no crash/panic in either expert or regular mode, with
sh -x in ethdetect or not.  It might still be a race condition but if
so it seems to be triggered by something related to the display.  Very
strange.  The display works fine (with a big font) in normal mode.  In
771 mode, the font is smaller and the curses windows sharper.

Even though I now have a work-around, I'm willing to keep debugging
if if would be useful.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#509238; Package debian-installer. (Tue, 23 Dec 2008 07:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 23 Dec 2008 07:30:03 GMT) Full text and rfc822 format available.

Message #42 received at 509238@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: The Eclectic One <eclectic@sdf.lonestar.org>, 509238@bugs.debian.org
Subject: Re: Bug#509238: panic backtrace
Date: Tue, 23 Dec 2008 07:24:15 +0100
[Message part 1 (text/plain, inline)]
Quoting The Eclectic One (eclectic@sdf.lonestar.org):

> First thought: race condition (the panic message contained a backtrace
> of different threads), so then I tried multiple times with only one
> change at at time: expert mode, regular mode, ethdetect -x, vga=771,
> vga normal.  It turns out that the culprit was the vga option.  With
> vga=771, I get no crash/panic in either expert or regular mode, with

So, in short, in regular mode, it crashes (always at the same place)
but in vga=771 mode, it doesn't, right?


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#509238; Package debian-installer. (Wed, 24 Dec 2008 02:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to The Eclectic One <eclectic@sdf.lonestar.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 24 Dec 2008 02:27:02 GMT) Full text and rfc822 format available.

Message #47 received at 509238@bugs.debian.org (full text, mbox):

From: The Eclectic One <eclectic@sdf.lonestar.org>
To: 509238@bugs.debian.org
Subject: Re: Bug#509238: panic backtrace
Date: Wed, 24 Dec 2008 02:23:51 +0000
>Quoting: Christian Perrier <bubulle@debian.org>
>>Quoting The Eclectic One (eclectic@sdf.lonestar.org):

>> First thought: race condition (the panic message contained a backtrace
>> of different threads), so then I tried multiple times with only one
>> change at at time: expert mode, regular mode, ethdetect -x, vga=771,
>> vga normal.  It turns out that the culprit was the vga option.  With
>> vga=771, I get no crash/panic in either expert or regular mode, with

>So, in short, in regular mode, it crashes (always at the same place)
>but in vga=771 mode, it doesn't, right?

Correct.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#509238; Package debian-installer. (Wed, 24 Dec 2008 07:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 24 Dec 2008 07:18:02 GMT) Full text and rfc822 format available.

Message #52 received at 509238@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: The Eclectic One <eclectic@sdf.lonestar.org>, 509238@bugs.debian.org
Subject: Re: Bug#509238: panic backtrace
Date: Wed, 24 Dec 2008 08:13:33 +0100
[Message part 1 (text/plain, inline)]
Quoting The Eclectic One (eclectic@sdf.lonestar.org):
> 
> >Quoting: Christian Perrier <bubulle@debian.org>
> >>Quoting The Eclectic One (eclectic@sdf.lonestar.org):
> 
> >> First thought: race condition (the panic message contained a backtrace
> >> of different threads), so then I tried multiple times with only one
> >> change at at time: expert mode, regular mode, ethdetect -x, vga=771,
> >> vga normal.  It turns out that the culprit was the vga option.  With
> >> vga=771, I get no crash/panic in either expert or regular mode, with
> 
> >So, in short, in regular mode, it crashes (always at the same place)
> >but in vga=771 mode, it doesn't, right?
> 
> Correct.


And I assume that you get no crash as well if you're using the
graphical installer.

I'm puzzled to reassign this bug report. This is obviously a race
condition somewhere. Probably a weird kernel issue but investigating
further is....tricky and I fear that this bug report might remain
uninvestigated further for quite a while until it "magically" solves
in the future with a new kernel (though probably not for Lenny).

I propose documenting this in the errata file, at the minimum.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#509238; Package debian-installer. (Thu, 25 Dec 2008 02:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to The Eclectic One <eclectic@sdf.lonestar.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 25 Dec 2008 02:21:02 GMT) Full text and rfc822 format available.

Message #57 received at 509238@bugs.debian.org (full text, mbox):

From: The Eclectic One <eclectic@sdf.lonestar.org>
To: 509238@bugs.debian.org
Subject: Re: Bug#509238: panic backtrace
Date: Thu, 25 Dec 2008 02:19:31 +0000
Quoting: Christian Perrier <bubulle@debian.org>
>>>So, in short, in regular mode, it crashes (always at the same place)
>>>but in vga=771 mode, it doesn't, right?

>>Correct.


>And I assume that you get no crash as well if you're using the
>graphical installer.

I had not tried the graphical installer, figuring that the more
basic the better, but I just did.  It appears that just before
going to graphical, the installer puts the screen in mode 771.
I get the smaller, sharper fonts.  So, no. It doesn't crash in
the graphical installer.

BTW, the graphical installer looks good!

>I'm puzzled to reassign this bug report. This is obviously a race
>condition somewhere. Probably a weird kernel issue but investigating
>further is....tricky and I fear that this bug report might remain
>uninvestigated further for quite a while until it "magically" solves
>in the future with a new kernel (though probably not for Lenny).

That's probably the reasonable thing to do.

>I propose documenting this in the errata file, at the minimum.

Yes.  A prominent (easy to find) note that would say something
like "If your laptop crashes completely during installation,
try replacing the boot option vga=normal with vga=771 or use
the graphical installer" would have saved some time, but then
the problem would not have become known.  

Thank you very much for your help!





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#509238; Package debian-installer. (Wed, 25 Aug 2010 14:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomas Tintera <trosos@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 25 Aug 2010 14:03:09 GMT) Full text and rfc822 format available.

Message #62 received at 509238@bugs.debian.org (full text, mbox):

From: Tomas Tintera <trosos@seznam.cz>
To: 509238@bugs.debian.org
Subject: some more logs
Date: Wed, 25 Aug 2010 15:58:06 +0200
[Message part 1 (text/plain, inline)]
Hi,

I have the same problem with my TC-261MXI (mini PC) and I managed to get
more logs which seem to be informative.

I also booted from USB. I used syslinux with kernel and initrd from
http://http.us.debian.org/debian/dists/lenny/main/installer-i386/current/images/netboot/debian-installer/i386/

But the workaround with vga=771 does not work for me (I got larger
display, but panic still occurs).

I tried to get some more info from syslogd:

I booted with the following kernel parameters (immitating expert mode)
priority=low vga=normal initrd=initrd.gz
Then I switched to VT2 and started debugging to the second partition on
USB disk:
tail -n+1 -f /var/log/syslog > /dev/sda2

I confirmed to configure network devices and to start PC card services.
I confirmed to use DHCP to autoconfigure the network and the progress
bar went slowly to 100%. At that point, kernel panic usually happens.
Alternatively, the dialog is shown, saying that autoconfiguring via DHCP
failed. If I confirm to continue, kernel panic occurs; alternatively,
kernel panic sometimes occurs in about 30 secs without me confirming to
countinue.

Unfortunately, I managed to capture syslogd messages only to the stage
before I confirmed to use DHCP (and after it completes network device
configuration). There were many lines of messages on VT4 just before the
panic, but unfortunately this version of tail is not able to log in
shorter intervals than 1 sec.

But the line saying "kernel BUG at include/linux/netdevice.h:431!" could
be informative, I think.
Attached is the output of "lspci -vvv" and the content
of /var/log/syslog 1 sec. before the panic.


Best regards,
Tomas "trosos" Tintera

[syslog (text/plain, attachment)]
[lspci (text/plain, attachment)]

Reply sent to Holger Levsen <holger@layer-acht.org>:
You have taken responsibility. (Sat, 20 Jul 2013 10:48:25 GMT) Full text and rfc822 format available.

Notification sent to The Eclectic One <eclectic@sdf.lonestar.org>:
Bug acknowledged by developer. (Sat, 20 Jul 2013 10:48:25 GMT) Full text and rfc822 format available.

Message #67 received at 509238-done@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: control@bugs.debian.org, 709436-done@bugs.debian.org, 246498-done@bugs.debian.org, 561870-done@bugs.debian.org, 591923-done@bugs.debian.org, 590771-done@bugs.debian.org, 598765-done@bugs.debian.org, 511896-done@bugs.debian.org, 509238-done@bugs.debian.org
Subject: dealing with old debian-installer bugs
Date: Sat, 20 Jul 2013 12:44:51 +0200
[Message part 1 (text/plain, inline)]
reassign 473144 win32-loader
reassign 598653 discover
reassign 511896 partman-base
thanks

Hi,

thank you for submitting bug reports concering debian-installer, much 
appreciated.

I read through all the bugs mentioned here (and I'm sure they were read by 
several people at the time they were submitted) and am closing them now as/if
- they (finally) indicated success and/or
- I know from first hand experience that the functionality is working in 
Wheezy and/or
- they only contained very little information and/or
- they contained user errors and/or
- they have been from a development phase where things were not stable and/or
- they are very old and/or
- they are wishlist but rather special + exotic and not have been acted on for 
years. (See http://blog.liw.fi/posts/wishlist-bugs/ why it's often useful to 
close wishlist bugs.)

If I've closed a bug incorrectly please do reply (it's easy to reopen and I'll 
do if requested) or just file a new one - thats often better, as the bug log 
will be clearer and shorter and not contain cruft.


cheers,
        Holger
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 18 Aug 2013 07:33:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:39:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.